Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

Sub Domain Needed?
 
Reply
   X-Cart forums > X-Payments > X-Payments issues & questions
 
Thread Tools
  #1  
Old 07-25-2012, 10:31 AM
 
Local Hero Local Hero is offline
 

Senior Member
  
Join Date: May 2004
Location: UT
Posts: 121
 

Unhappy Sub Domain Needed?

I pay to host www.mysite.com which has PHP Version 5.1.6 and an SSL certificate. I asked my hosting company how to upgrade to PHP Version 5.3 for xpayments? They said that to be complient, I would need a subdomain with a second SSL certificate so I would be checkout.mysite.com.

I'm kinda getting sick of paying a little more and a little more for to accept credit cards..... does this seem right?
__________________
X-Cart version 4.4.5
X-Cart version 5.3.2.8
Reply With Quote
  #2  
Old 07-25-2012, 10:44 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 13,427
 

Default Re: Sub Domain Needed?

There is a debate if you need to have X-Payments on separate account with its own SSL or it can be installed as subdirectory of the site. Technically your host is right but your bank is the one to say if they will accept subdirectory or you need separate hsoting for X-Payments. Talk to your bank about this
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
  #3  
Old 07-25-2012, 11:58 AM
  gb2world's Avatar 
gb2world gb2world is offline
 

X-Wizard
  
Join Date: May 2006
Location: Austin, TX
Posts: 1,970
 

Default Re: Sub Domain Needed?

It will likely be difficult to convince the compliance officer at your bank to relax the recommendations of the vendor (QT) for the software on the approved PA/DSS certified list (X-Payments). Especially, if your hosting provider is giving you the same recommendation.

In a shared environment, QT says:
Quote:
Can X-Payments be installed on a shared hosting?

Yes, provided that a separate account is used for hosting X-Payments. No other software must be installed and run under this account.

Your host is informing you how to adhere to this.

---
__________________
X-CART (4.1.9,12/4.2.2-3/4.3.1-2/4.4.1-5)-Gold
(CDSEO, Altered-Cart On Sale, BCSE Preorder Backorder, QuickOrder, X-Payments, BCSE DPM Module)
Reply With Quote
Reply
   X-Cart forums > X-Payments > X-Payments issues & questions


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 02:05 AM.

   

 
X-Cart forums © 2001-2018